For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
              • GETList Shopper Profiles in Segment
              • POSTAdd Shopper Profiles to Segment
              • DELRemove Shopper Profiles from Segment
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomer SegmentationShopper Profiles for a Segment

List Shopper Profiles in Segment

GET
https://api.bigcommerce.com/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
GET
/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
$curl https://api.bigcommerce.com/stores/store_hash/v3/segments/segmentId/shopper-profiles \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "customer_id": 12345,
6 "created_at": "2024-04-10T14:22:00Z",
7 "updated_at": "2024-05-01T10:15:30Z"
8 }
9 ],
10 "meta": {
11 "pagination": {
12 "total": 1,
13 "count": 1,
14 "per_page": 50,
15 "current_page": 1,
16 "total_pages": 1
17 }
18 }
19}

Returns a list of Shopper Profiles that are associated with a given Segment.

NOTE: The modify Customers OAuth scope is a requirement for this endpoint.

Was this page helpful?
Previous

Delete Shopper Profiles

Next

Add Shopper Profiles to Segment

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | **NOTE**: GET endpoints require only read-only permission, except for the [Get All Shopper Profiles in a Segment](/developer/api-reference/rest/admin/management/customer-segmentation/shopper-profiles-for-a-segment/get-segment-profiles) endpoint which requires modify permission. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

segmentIdstringRequiredformat: "uuid"

The Segment ID.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional
Page number.
limitintegerOptional
Items count per page.

Response

An array of Shopper Profiles objects and metadata.

datalist of objects
metaobject
Data about the response including pagination, and collection totals.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

NOTE: GET endpoints require only read-only permission, except for the Get All Shopper Profiles in a Segment endpoint which requires modify permission.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.